Аврора выдаёт ошибку рендеринга на gentoo linux

Пытаюсь запустить аврору на своём ноуте с gentoo linux. Выдаёт ошибку показанную на пикче


Проверял через ldd на недостающие либы – всё в порядке.

linux-vdso.so.1 (0x00007fff177fc000)
	libQt5WebEngineWidgets.so.5 => ./data/libQt5WebEngineWidgets.so.5 (0x00007fac66982000)
	libQt5Widgets.so.5 => ./data/libQt5Widgets.so.5 (0x00007fac66123000)
	libQt5Gui.so.5 => ./data/libQt5Gui.so.5 (0x00007fac65809000)
	libQt5WebChannel.so.5 => ./data/libQt5WebChannel.so.5 (0x00007fac655e8000)
	libQt5Qml.so.5 => ./data/libQt5Qml.so.5 (0x00007fac64f99000)
	libQt5Core.so.5 => ./data/libQt5Core.so.5 (0x00007fac647bc000)
	libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.1/libstdc++.so.6 (0x00007fac6458f000)
	libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.1/libgcc_s.so.1 (0x00007fac64574000)
	libc.so.6 => /lib64/libc.so.6 (0x00007fac6437e000)
	libQt5WebEngineCore.so.5 => ./data/libQt5WebEngineCore.so.5 (0x00007fac5cb2a000)
	libQt5Quick.so.5 => ./data/libQt5Quick.so.5 (0x00007fac5c3fe000)
	libQt5PrintSupport.so.5 => ./data/libQt5PrintSupport.so.5 (0x00007fac5c18a000)
	libQt5QmlModels.so.5 => ./data/libQt5QmlModels.so.5 (0x00007fac5bef0000)
	libQt5Network.so.5 => ./data/libQt5Network.so.5 (0x00007fac5bb45000)
	libQt5Positioning.so.5 => ./data/libQt5Positioning.so.5 (0x00007fac5b8a3000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fac5b89e000)
	libQt5QuickWidgets.so.5 => ./data/libQt5QuickWidgets.so.5 (0x00007fac5b689000)
	libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007fac5b603000)
	libm.so.6 => /lib64/libm.so.6 (0x00007fac5b52e000)
	libz.so.1 => /lib64/libz.so.1 (0x00007fac5b514000)
	librt.so.1 => /lib64/librt.so.1 (0x00007fac5b50f000)
	libicui18n.so.56 => ./data/libicui18n.so.56 (0x00007fac5b074000)
	libicuuc.so.56 => ./data/libicuuc.so.56 (0x00007fac5acbc000)
	libicudata.so.56 => ./data/libicudata.so.56 (0x00007fac592d9000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007fac592d4000)
	libgthread-2.0.so.0 => /usr/lib64/libgthread-2.0.so.0 (0x00007fac592cf000)
	libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007fac5919a000)
	/lib64/ld-linux-x86-64.so.2 (0x00007fac66bcb000)
	libsmime3.so => /usr/lib64/libsmime3.so (0x00007fac5916d000)
	libnss3.so => /usr/lib64/libnss3.so (0x00007fac59032000)
	libnssutil3.so => /usr/lib64/libnssutil3.so (0x00007fac58fff000)
	libplds4.so => /usr/lib64/libplds4.so (0x00007fac58ffa000)
	libplc4.so => /usr/lib64/libplc4.so (0x00007fac58ff3000)
	libnspr4.so => /usr/lib64/libnspr4.so (0x00007fac58fae000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00007fac58f9b000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007fac58ed5000)
	libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007fac58ea5000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007fac58e5d000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007fac58d1a000)
	libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007fac58d13000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007fac58ce7000)
	libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x00007fac58ce2000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00007fac58cd4000)
	libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007fac58ccf000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007fac58cba000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007fac58caf000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00007fac58c9b000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007fac58c8e000)
	libXtst.so.6 => /usr/lib64/libXtst.so.6 (0x00007fac58c85000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00007fac58c78000)
	libdbus-1.so.3 => /usr/lib64/libdbus-1.so.3 (0x00007fac58c2c000)
	libasound.so.2 => /usr/lib64/libasound.so.2 (0x00007fac58b3e000)
	libgssapi_krb5.so.2 => /usr/lib64/libgssapi_krb5.so.2 (0x00007fac58aeb000)
	libGLdispatch.so.0 => /usr/lib64/libGLdispatch.so.0 (0x00007fac58a33000)
	libGLX.so.0 => /usr/lib64/libGLX.so.0 (0x00007fac589ff000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007fac589b8000)
	libbz2.so.1 => /lib64/libbz2.so.1 (0x00007fac589a5000)
	libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007fac5896d000)
	libharfbuzz.so.0 => /usr/lib64/libharfbuzz.so.0 (0x00007fac5887a000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fac58871000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007fac5886a000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00007fac58862000)
	libkrb5.so.3 => /usr/lib64/libkrb5.so.3 (0x00007fac58787000)
	libk5crypto.so.3 => /usr/lib64/libk5crypto.so.3 (0x00007fac58756000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007fac58750000)
	libkrb5support.so.0 => /usr/lib64/libkrb5support.so.0 (0x00007fac5873f000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007fac58738000)
	libgraphite2.so.3 => /usr/lib64/libgraphite2.so.3 (0x00007fac58712000)
	libbsd.so.0 => /usr/lib64/libbsd.so.0 (0x00007fac586fb000)
	libmd.so.0 => /usr/lib64/libmd.so.0 (0x00007fac586ed000)

Аврора спокойно запускалась на Linux Mint и Garuda Linux на других компах, однако у меня сейчас доступен только мой ноут поэтому требуется помощь.

2 Likes

Интересно, удобно ли использовать генту для повседневных задач?

2 Likes

В целом будет чуть сложнее и дольше чем арч) Спустя полгода использования данного дистра у меня сложилось неоднозначное мнение по нему. Есть как и значительные минусы по типу долгой сборки пакетов, ковыряние с USE-флагами(на самом деле у меня большинство ошибок состоят либо в отключенном параметре в конфиге ядра или в USE-флаге). Однако он даёт невиданную кастомизируемость: не хочешь systemd – можешь использовать OpenRC, runit или вообще s6; не нравится стандартное ядро линукса – поставь ядро BSD, Hurd или Minix; Не нравится glibc – ставь musl. Так что такой пердолинг относительно оправдан. Большинство моих повседневных задач гента выполняет.

2 Likes

Я, как, человек, который любит виртуализации, могу только предложить установить:
VirtualBox, QEMU-KVM или VMware Workstation и запустить винду, ахах, ну или тот дистрибутив, который будет дружить с Авророй, у самого МакОСь, но эпоха Авроры прошла на Винде. :slight_smile:

К слову, если мало ресурсов на ноуте, можешь поднять Docker с контейнером Бубунты, а там уже накатить Аврору через Wine, но это мои сугубо личные предложения, таким я ещё не занимался))

Так и сделал сейчас. Однако qemu+qxl и opengl не очень хорошо дружат на винде, поэтому аврора лагает довольно жестко.

А зачем через вайн? Есть же релизы авроры на нативный линух

Окей, в наше время, нам выдавали .exe на групповую почту и всё.

1 Like

А там случайно парки resources нет?

Нету

Глянь какие изменяются в скрипте переменные окружения QT*